Bug 1449725 - Network Topology does not show Cloud Routers
Summary: Network Topology does not show Cloud Routers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: GA
: 5.9.0
Assignee: Tzu-Mainn Chen
QA Contact: Ido Ovadia
URL:
Whiteboard: openstack:sdn
Depends On:
Blocks: 1450085 1450086
TreeView+ depends on / blocked
 
Reported: 2017-05-10 14:13 UTC by Ido Ovadia
Modified: 2018-03-06 15:00 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1450085 1450086 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:00:30 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description Ido Ovadia 2017-05-10 14:13:12 UTC
Description of problem:
=======================
Network Topology does not show Cloud Routers

Version-Release number of selected component:
=============================================
5.8.0.14-rc3

How reproducible:
=================
100%

Steps to Reproduce:
===================
1. Create a router on overcloud with external gateway
2. Add an internal network to the router
3. Verify the router exists on Network Routers list
4. Create an instance connected to internal network
5. Associate a floating IP to the instance
6. Browse Networks --> Topology 

Actual results:
===============
The router doesn't appears on network topology (Note: Network Routers entity selected)

Expected results:
=================
Router should appear on topology

Additional info:
================
External network and floating IP appears on Network Topology

Comment 1 Ido Ovadia 2017-05-10 14:35:36 UTC
I used OSPD 11

Comment 4 Tzu-Mainn Chen 2017-05-10 20:23:11 UTC
Fixed by: https://github.com/ManageIQ/manageiq-providers-openstack/pull/31

Comment 7 Ido Ovadia 2017-11-11 23:33:35 UTC
Verified
========
5.9.0.5


Note You need to log in before you can comment on or make changes to this bug.